> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Me

> Return the current user's own profile.

Distinct from GET /auth/me which returns the full auth context including
workspace, membership, permissions and feature flags. This endpoint is
a lightweight profile read for settings pages.



## OpenAPI

````yaml /openapi.json get /v1/users/me
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/users/me:
    get:
      tags:
        - users
      summary: Get Me
      description: |-
        Return the current user's own profile.

        Distinct from GET /auth/me which returns the full auth context including
        workspace, membership, permissions and feature flags. This endpoint is
        a lightweight profile read for settings pages.
      operationId: get_me_v1_users_me_get
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/app__routers__users__UserOut'
          description: Successful Response
      security:
        - HTTPBearer: []
components:
  schemas:
    app__routers__users__UserOut:
      properties:
        avatar_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatar Url
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        email:
          title: Email
          type: string
        external_id:
          anyOf:
            - type: string
            - type: 'null'
          title: External Id
        id:
          title: Id
          type: string
        locale:
          default: en
          title: Locale
          type: string
        membership_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Membership Id
        name:
          title: Name
          type: string
        role:
          anyOf:
            - type: string
            - type: 'null'
          title: Role
        timezone:
          default: UTC
          title: Timezone
          type: string
        workspace_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Workspace Id
      required:
        - id
        - email
        - name
      title: UserOut
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````